{% load static  %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link href='https://fonts.googleapis.com/css?family=Montserrat' rel='stylesheet'>
    <link href='{%  static "css/note_container.css" %}' rel='stylesheet'>
    <title>Note List</title>
  </head>
  <style>
    body {
      font-family: 'Montserrat';
      display: flex;
      align-items: center;
      justify-content: center;
      width: auto;
      min-height: 100vh;
      background-color: #2d326b;
    }
  </style>
  <body>
    <div class="content-container">
      <h2>My Notes</h2>
      <div class="grid-container">
        {% for note in notes %}
          <div class="card">
            <div class="card-title">{{note.title}}</div>
            <div class="card-header">to: {{note.receiver_id}}</div>
            <div class="card-body">{{note.message}}</div>
            <div class="card-footer">by ~ {{note.sender_id}}</div>
          </div>
        {% endfor %}
      </div>
    </div>
  </body>
</html>
